// pages/winlost/winlost.js
const app = getApp()
const $api = require('../../utils/api.js').API;
const $push = require('../../utils/api.js').PUSH;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    var user_id=options.user_id,match_id=options.match_id
    $api.getWinlossRank({user_id:user_id,rank_type:'win',match_id:match_id}).then(res=>{
      this.setData({
        win:res.data.data.slice(0,10)
      })
    })
    $api.getWinlossRank({user_id:1888,rank_type:'loss',match_id:20}).then(res=>{
      this.setData({
        loss:res.data.data.slice(0,10)
      })
    })
  },

  
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})